unit shut1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, shutdown;

type
  TForm1 = class(TForm)
    RadioGroup1: TRadioGroup;
    Button1: TButton;
    GroupBox1: TGroupBox;
    CheckBox1: TCheckBox;
    RadioGroup2: TRadioGroup;
    CheckBox2: TCheckBox;
    Shutdown1: TShutdown;
    procedure Button1Click(Sender: TObject);
    procedure RadioGroup2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var s: String;
begin
 case RadioGroup1.ItemIndex of
   0: ShutDown1.OperatingSystem := shAuto;
   1: ShutDown1.OperatingSystem := shWin95;
   2: ShutDown1.OperatingSystem := shWin98;
   3: ShutDown1.OperatingSystem := shWinME;
   4: ShutDown1.OperatingSystem := shWinNT;
   5: ShutDown1.OperatingSystem := shWin2K;
   6: ShutDown1.OperatingSystem := shWinXP;
 end;

 if Checkbox1.checked then ShutDown1.Options := [ShoForce];
 if Checkbox2.checked then ShutDown1.Options := ShutDown1.Options + [ShoPowerOff];

 case RadioGroup2.ItemIndex of
   0: ShutDown1.Options := ShutDown1.Options + [ShoLogOff];
   1: ShutDown1.Options := ShutDown1.Options + [ShoShutDown];
   2: ShutDown1.Options := ShutDown1.Options + [ShoReboot];
 end;

 s := '';
 case ShutDown1.Operatingsystem of
   shWin95 : s :='Windows 95';
   shWin98 : s :='Windows 98';
   shWinME : s :='Windows ME';
   shWinNT : s :='Windows NT';
   shWin2K : s :='Windows 2K';
   shWinXP : s :='Windows XP';
   shWinUnknown : s :='Windows (unknown version)';
 end;

 showmessage('Press OK to shutdown '+s);
 Shutdown1.Execute;
end;

procedure TForm1.RadioGroup2Click(Sender: TObject);
begin
 if RadioGroup2.ItemIndex = 1 then
   begin
     CheckBox2.Enabled := true
   end
   else
   begin
     CheckBox2.Enabled := false;
     CheckBox2.Checked :=false;
   end;
end;

end.
